//
//  NSImage_Extensions.m
//  squish
//
//  Created by Da Woon Jung on 2009-03-12.
//  Copyright 2006-9 Da Woon Jung. All rights reserved.
//

#import "NSImage_Extensions.h"


@implementation NSImage (SquishExtensions)
- (NSBitmapImageRep *)bitmapImageRep
{
    NSArray *reps = [self representations];
    NSEnumerator *repEnum = [reps objectEnumerator];
    id rep;
    Class bitmapClass = [NSBitmapImageRep class];
    while ((rep = [repEnum nextObject]))
    {
        if ([rep isKindOfClass: bitmapClass])
        {
            return rep;
        }
    }
    return nil;
}
@end
